Bug 196627 - Review Request: perl-SVN-Mirror - Mirror remote repository to local Subversion repository
Review Request: perl-SVN-Mirror - Mirror remote repository to local Subversio...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 196617 196625
Blocks: FE-ACCEPT 196629
  Show dependency treegraph
 
Reported: 2006-06-25 22:05 EDT by Ian Burrell
Modified: 2008-06-06 15:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-29 03:08:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)
Build log from mock on rawhide. (8.16 KB, text/plain)
2006-06-28 19:37 EDT, Jason Tibbitts
no flags Details

  None (edit)
Description Ian Burrell 2006-06-25 22:05:51 EDT
Spec URL: http://znark.com/fedora/perl-SVN-Mirror.spec
SRPM URL: http://znark.com/fedora/perl-SVN-Mirror-0.68-3.src.rpm
Description: Mirror remote repository to local Subversion repository

It is required by perl-SVK.  It requires perl-File-chidr and perl-SVN-Simple.
Comment 2 Jason Tibbitts 2006-06-28 15:22:43 EDT
For some reason your web server thinks the specfile is text/html, which makes it
tough to read.

This package completely hangs up in mock because it waits for input.  I piped
"yes n" into the Makefile.PL bit and I get this far:

Cannot reliably compare non-decimal formatted versions.
Please install version.pm or Sort::Versions.
[Core Features]
- SVN::Core         ...loaded. (1.3.1 >= 1.0.7)
- URI::Escape       ...loaded. (3.28)
- Term::ReadKey     ...loaded. (2.30)
- SVN::Simple::Edit ...loaded. (0.27)
- Date::Format      ...loaded. (2.22)
- File::chdir       ...loaded. (0.06)
- Class::Accessor   ...loaded. (0.25)
[VCP support]
- VCP               ...missing. (would need 0.9)
- Data::UUID        ...missing.
==> Auto-install the 2 optional module(s) from CPAN? [y/N] n

The package builds and fails a pile of tests:

Failed Test       Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/2basic.t         255 65280    15   26 173.33%  3-15
t/6relay.t         255 65280     9   14 155.56%  3-9
t/7copy.t          255 65280     3    2  66.67%  3
t/8skipto-torev.t  255 65280    58  116 200.00%  1-58
2 tests skipped.
Failed 4/9 test scripts, 55.56% okay. 79/100 subtests failed, 21.00% okay.

which of course fails the build.

At this point I have to wonder whether or not you you actually tested this package.
Comment 3 Ian Burrell 2006-06-28 17:54:10 EDT
I hadn't tried it under mock.  I fixed the autoinstall and input problem by
passing the --skipdeps option to Makefile.PL.  

Spec: http://znark.com/fedora/perl-SVN-Mirror.spec
SRPMS: http://znark.com/fedora/perl-SVN-Mirror-0.68-6.src.rpm

Once that is done, it builds under mock with FC5 and all the tests pass.  Are
you using development?  I don't have rawhide mock available here at work.

Comment 4 Jason Tibbitts 2006-06-28 19:35:08 EDT
OK, indeed the test failures are gone under FC5.  Still, this is going to cause
significant trouble going forward.

I will attach a full build log with TEST_VERBOSE=1 and hopefully this will help
you.  It almost looks like the error isn't even in this module.  There are
several of these:

TypeError in method 'svn_ra_reporter2_invoke_set_path', argument 6 of type 'char
const *'

That method string doesn't match anything in the source; it looks like some
issue with some generated bindings.  Perhaps it's a subversion-perl issue?  I
suggest you work with upstream and perhaps ping fedora-perl-list.

I will review this package based on an FC5 build.  The only issue that turns up
is your manual versioned dependency for perl(SVN::Core) which conflicts with one
determined by RPM.  You'll either need to drop the manual dependency or filter
out the one RPM finds.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* source files match upstream:
   acc9a1b4d3bf3b633892b5fe0c183266  SVN-Mirror-0.68.tar.gz
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (FC5, x86_64). (fails to build on development)
* rpmlint is silent.
X final provides and requires are sane:
   perl(SVN::Mirror) = 0.68
   perl(SVN::Mirror::Git) = 0.62
   perl(SVN::Mirror::Ra) = 0.68
   perl(SVN::Mirror::Ra::MirrorEditor)
   perl(SVN::Mirror::VCP) = 0.50
   perl-SVN-Mirror = 0.68-6.fc5
  =
   /usr/bin/perl
   perl(:MODULE_COMPAT_5.8.8)
   perl(Class::Accessor)
   perl(Date::Format)
   perl(File::Path)
   perl(File::Spec)
   perl(File::Spec::Functions)
   perl(File::Spec::Unix)
   perl(File::chdir)
   perl(Getopt::Long)
   perl(SVN::Client)
   perl(SVN::Core)
X  perl(SVN::Core) >= 1.0.7
   perl(SVN::Delta)
   perl(SVN::Fs)
   perl(SVN::Mirror)
   perl(SVN::Mirror::Ra)
   perl(SVN::Ra)
   perl(SVN::Repos)
   perl(SVN::Simple::Edit)
   perl(Sys::Hostname)
   perl(Term::ReadKey)
   perl(Time::HiRes)
   perl(URI)
   perl(URI::Escape)
   perl(base)
   perl(constant)
   perl(strict)
   perl(warnings)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass (on FC5; some tests fail on development)
   All tests successful, 2 tests skipped.
   Files=9, Tests=100, 59 wallclock secs ( 9.33 cusr +  8.14 csys = 17.47 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 5 Jason Tibbitts 2006-06-28 19:37:28 EDT
Created attachment 131706 [details]
Build log from mock on rawhide.
Comment 6 Ian Burrell 2006-06-28 20:57:26 EDT
There haven't been any changes to subversion package on rawhide that would
explain the problem.  It is the same version and patches.

This one fixes the duplicate dependency.

Spec: http://znark.com/fedora/perl-SVN-Mirror.spec
SRPMS: http://znark.com/fedora/perl-SVN-Mirror-0.68-7.src.rpm
Comment 7 Jason Tibbitts 2006-06-28 21:23:47 EDT
Indeed, this version fixes the duplicated dependency issue.

It really does look like the errors come from within the swig-generated bindings
but I can't figure out where.  Rawhide subversion packages are actually behind
the FC5 versions, but I went ahead and build with the old FC5 versions and the
build still went fine.

Anyway, the package is OK and hopefully the rawhide failures will be worked out
in due time. 

APPROVED
Comment 8 Ian Burrell 2006-06-29 03:08:32 EDT
As I mentioned in 196629, I found a patch that fixed the problem on rawhide.

I built it on devel.
Comment 9 Ian Burrell 2008-06-06 14:08:38 EDT
Package Change Request
======================
Package Name: perl-SVN-Mirror
New Branches: EL-4 EL-5
Comment 10 Kevin Fenzi 2008-06-06 15:00:35 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.